%bcond_with tests
%global pypi_name hacking

Summary:        OpenStack Hacking Guideline Enforcement
Name:           python-%{pypi_name}
Version:        6.0.1
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://github.com/openstack-dev/hacking
Source0:        https://pypi.io/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides OpenStack Hacking Guideline Enforcement plugin for flake8.

%package -n python3-%{pypi_name}
Summary:        OpenStack Hacking Guideline Enforcement
BuildRequires:  python3-devel python3-setuptools python3-d2to1 python3-pycodestyle
BuildRequires:  python3-flake8 python3-pbr python3-subunit python3-six
%if %{with tests}
BuildRequires:  python3-testrepository python3-testscenarios python3-testtools
%endif

Requires: python3-flake8 python3-pbr python3-pycodestyle python3-six

%description  -n python3-%{pypi_name}
This package provides OpenStack Hacking Guideline Enforcement plugin for flake8.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info
sed -i '1d' hacking/core.py
rm -rf {test-,}requirements.txt
%if %{with tests}
sed -i '1d' hacking/tests/test_doctest.py
%endif

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
rm -rf .testrepository/
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 Miaojun Dong <zoedong@tencent.com> - 6.0.1-1
- Bump version to 6.0.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 4.0.0-1
- initial build
